#include "manager.h"
#include "builder.h"
#include <library/cpp/streams/special/buffered_throttled_file.h>
#include <util/generic/algorithm.h>

bool TMinHashToDocIdBuilder::DoClose(const NRTYServer::TBuilderCloseContext&) {
    DEBUG_LOG << "MinHashToDocIdBuilder::DoClose - nothing to do" << Endl;
    return true;
}

void TMinHashToDocIdBuilder::Index(int, const TParsedDocument& /*document*/, const ui32 /*docId*/) {
    DEBUG_LOG << "MinHashToDocIdBuilder::Index - nothing to do" << Endl;
}

NRTYServer::IIndexComponentManager* TMinHashToDocIdBuilder::GetManager() {
    return new TMinHashToDocIdManager(File, ComponentName);
}
